@charset "UTF-8";
body {
  font-family: Arial, Helvetica, sans-serif;
  margin: 0;
}

.head {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
}
.head__search-container {
  text-align: left;
}
.head__search-container input {
  margin: 10px 10px 10px 10px;
  height: 40px;
  font-size: 14px;
  text-align: left;
  padding: 10px;
  box-sizing: border-box;
}
.head__search-container button {
  margin: 0 0 0 10px;
  width: 92px;
  height: 40px;
  font-size: 14px;
}

.logo {
  color: white;
  font-size: 23px;
  font-family: "Caldo";
  text-shadow: -2px -1px 0 #f75c49, 2px 1px 0 #000;
}
.logo h1 {
  margin: 0;
}
.logo:hover {
  text-shadow: -3px -1px 0 #f75c49, 3px 1px 0 #000;
}

.navigation {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
}
.navigation ul {
  list-style-type: none;
  color: #f75c49;
  margin: 0;
  padding: 0;
}
.navigation button {
  width: 170px;
  height: 52px;
  font-size: 18px;
}
.navigation li {
  float: left;
}
.navigation li a {
  text-align: center;
  text-decoration: none;
  color: #f75c49;
}
.navigation li a:hover {
  text-align: center;
  text-decoration: none;
  color: #cc4836;
}

.top-teachers__options {
  display: flex;
  text-align: center;
  flex-wrap: wrap;
  color: #888;
  font-family: sans-serif;
  margin: 0 0 35px 0;
}
.top-teachers__options__selectors {
  display: flex;
}
.top-teachers__options__selectors select {
  cursor: pointer;
  background-color: transparent;
  border: 1px solid;
  height: 30px;
  width: 90px;
}
.top-teachers__options__selectors div {
  border-width: 0 2px 0 0;
  border-color: #999;
  border-style: dotted;
}
.top-teachers__options__selectors div:last-child {
  border-width: 0;
}
.top-teachers__options__checkboxes {
  display: flex;
}
.top-teachers__options__info {
  position: relative;
}
.top-teachers__photos {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(200px, 200px));
  justify-content: space-evenly;
  justify-items: center;
  align-content: space-evenly;
  align-items: center;
}
.top-teachers__info {
  position: relative;
}
.top-teachers .item-options {
  font-size: 12px;
  align-items: center;
}
.top-teachers .item-options select {
  margin: 0 10px;
}
.top-teachers .item-options .select-label {
  margin: 0 10px;
}
.top-teachers .item-options input {
  margin: 10px 5px 10px 10px;
  padding: auto;
}
.top-teachers .age-selector {
  width: 76px;
}
.top-teachers .region-selector {
  width: 92px;
}
.top-teachers .sex-selector {
  width: 86px;
}
.top-teachers .favorite-star {
  background: transparent;
  z-index: 1;
  position: absolute;
  text-align: right;
  top: 5%;
  left: 65%;
}

.statistics__body table {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 12px;
  width: 100%;
}
.statistics__body td,
.statistics__body th {
  text-align: center;
  height: 35px;
}
.statistics__body th {
  font-weight: normal;
  font-size: 14px;
  border-bottom: 1px solid #000;
}
.statistics__body th:hover {
  border-bottom: 5px solid #000;
  background-color: #fafafa;
}
.statistics__body th:hover::after {
  content: " ↓";
  color: #62a7ca;
}
.statistics__body th:first-child,
.statistics__body td:first-child {
  text-align: left;
}
.statistics__body tr:nth-child(even) {
  background-color: #f9f5f9;
}
.statistics__body__pagination-container {
  display: flex;
}
.statistics__body__pagination-container ul {
  font-size: 14px;
  list-style-type: none;
  color: #1a9cb0;
  margin: 0;
  padding: 0;
}
.statistics__body__pagination-container li {
  float: left;
  margin: 0 10px 0 10px;
}
.statistics__body__pagination-container li:hover {
  color: #10616d;
}

.favorites__body {
  align-items: center;
  vertical-align: middle;
  white-space: wrap;
}
.favorites__body__photos {
  display: flex;
  white-space: nowrap;
}
.favorites__body__menu-wrapper-left {
  padding: 0 10px 0 0;
  float: left;
}
.favorites__body__menu-wrapper-left button {
  background-image: url("../images/menu-wrapper-left.png");
  background-size: 20px 60px;
  background-position: center;
  background-repeat: no-repeat;
  width: 60px;
  height: 285px;
  transition: 0.5s ease;
  background-color: transparent;
  border: transparent;
}
.favorites__body__menu-wrapper-left button:hover {
  background-image: url("../images/menu-wrapper-left-hover.png");
}
.favorites__body__menu-wrapper-right {
  padding: 0 0 0 10px;
  float: right;
}
.favorites__body__menu-wrapper-right button {
  background-image: url("../images/menu-wrapper-right.png");
  background-size: 20px 60px;
  background-position: center;
  background-repeat: no-repeat;
  width: 60px;
  height: 285px;
  transition: 0.5s ease;
  background-color: transparent;
  border: transparent;
}
.favorites__body__menu-wrapper-right button:hover {
  background-image: url("../images/menu-wrapper-right-hover.png");
}

.info__body {
  padding: 20px 0 40px 0;
}

.title {
  font-size: 25px;
  font-weight: 550;
  position: relative;
  text-align: center;
  padding: 0 0 40px 0;
}

.item-teacher-info {
  text-align: center;
  margin: 20px 25px 20px 25px;
}
.item-teacher-info a {
  text-decoration: none;
}
.item-teacher-info__icon {
  width: 142px;
  height: 142px;
  overflow: hidden;
  border: 4px solid #f99589;
  border-radius: 50%;
  margin: 0 0 26px 0;
}
.item-teacher-info__icon img {
  width: 142px;
  height: 142px;
  -o-object-fit: cover;
     object-fit: cover;
  align-items: center;
  color: #f75c49;
  line-height: 142px;
  font-size: 18px;
  font-weight: 550;
}
.item-teacher-info__icon:hover {
  border: 4px solid #cc4836;
}
.item-teacher-info__icon:hover img {
  transform: scale(1.25);
  font-size: 22px;
}
.item-teacher-info__fullname {
  font-size: 16px;
  font-weight: 600;
  display: inline-block;
  max-width: -moz-min-content;
  max-width: min-content;
  color: #222;
  margin: 0 0 12px 0;
}
.item-teacher-info__subject {
  font-size: 12px;
  color: #888;
  margin: 0 0 12px 0;
}
.item-teacher-info__country {
  font-size: 10px;
  color: #222;
  margin: 0 0 12px 0;
}

.main-button {
  cursor: pointer;
  background-color: transparent;
  border: 1px solid;
  color: #f75c49;
  border-color: #f75c49;
}
.main-button:hover {
  background-color: #f75c49;
  color: #fff;
}

.popup {
  position: fixed;
  width: 100%;
  height: 100%;
  background-color: rgba(204, 204, 204, 0.8);
  -webkit-backdrop-filter: blur(1px);
          backdrop-filter: blur(1px);
  top: 0;
  left: 0;
  z-index: 1;
  opacity: 0;
  visibility: hidden;
  overflow-y: auto;
  transition: all 0.3s ease 0s;
}
.popup:target {
  opacity: 1;
  visibility: visible;
}

.add-teacher-popup__body {
  min-height: 100%;
  min-width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 30px 10px;
  white-space: wrap;
}
.add-teacher-popup__content {
  max-width: 560px;
  width: 560px;
  min-width: 36px;
  padding: 30px 34px;
  position: relative;
}
.add-teacher-popup__close {
  position: absolute;
  right: 60px;
  top: 45px;
  font-size: 20px;
  color: #fff;
  text-decoration: none;
}
.add-teacher-popup__title {
  background-color: #464547;
  color: #fff;
  text-align: left;
  padding: 18px;
  font-size: 22px;
}
.add-teacher-popup__form {
  background-color: #fff;
  color: #666;
  font-size: 12px;
  padding: 34px;
}
.add-teacher-popup__form .form-container {
  margin: 15px 0;
}
.add-teacher-popup__form .form-container input {
  width: 100%;
  height: 35px;
  box-sizing: border-box;
  margin: 10px 0 0 0;
}
.add-teacher-popup__form .form-container select {
  cursor: pointer;
  background-color: transparent;
  border: 1px solid;
  height: 35px;
  width: 100%;
  margin: 10px 0 0 0;
}
.add-teacher-popup__form .form-container textarea {
  height: 128px;
  width: 100%;
  box-sizing: border-box;
  resize: none;
  margin: 10px 0 0 0;
}
.add-teacher-popup__form .personal-info-container {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(228px, 228px));
  -moz-column-gap: 32px;
       column-gap: 32px;
}
.add-teacher-popup__form .sex-container {
  margin: 15px 0;
}
.add-teacher-popup__form .sex-container .radio-container {
  margin: 0 0 0 40px;
}
.add-teacher-popup__form .background-color-container {
  max-width: 220px;
  display: flex;
  padding: 15px 0;
  justify-content: space-between;
}
.add-teacher-popup__form .background-color-container label {
  vertical-align: middle;
  padding: 6px 0;
}
.add-teacher-popup__form .background-color-container div {
  display: flex;
}
.add-teacher-popup__form .background-color-container div img {
  height: 16px;
  width: 16px;
  margin: 0 6px;
}
.add-teacher-popup__form .background-color-container div input[type=color] {
  width: 60px;
  height: 26px;
  overflow: hidden;
  display: block;
  padding: 8px;
}
.add-teacher-popup__form .submit-container {
  text-align: center;
  display: flex;
}
.add-teacher-popup__form .submit-container input {
  width: 500px;
  height: 60px;
  margin: 27px 0 0 0;
  font-size: 22px;
  font-weight: 500px;
}

.teacher-info-popup__body {
  min-height: 100%;
  min-width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 30px 10px;
  white-space: wrap;
}
.teacher-info-popup__content {
  max-width: 1018px;
  min-width: 360px;
  padding: 30px 34px;
  position: relative;
}
.teacher-info-popup__close {
  position: absolute;
  right: 60px;
  top: 45px;
  font-size: 20px;
  color: #fff;
  text-decoration: none;
}
.teacher-info-popup__title {
  background-color: #464547;
  color: #fff;
  text-align: left;
  padding: 18px;
  font-size: 22px;
}
.teacher-info-popup__main {
  background-color: #fff;
  color: #666;
  font-size: 12px;
  position: relative;
}
.teacher-info-popup__picture img {
  width: 320px;
  height: 320px;
  -o-object-fit: cover;
     object-fit: cover;
  align-items: center;
}
.teacher-info-popup__main-info {
  padding: 20px;
  display: flex;
  flex-wrap: wrap;
}
.teacher-info-popup__main-info .teacher-info {
  margin: 0 40px;
  color: #222;
  font-size: 12px;
}
.teacher-info-popup__main-info .fullname {
  font-size: 28px;
  margin: 12px 0 24px 0;
}
.teacher-info-popup__main-info .subject {
  font-size: 18px;
  font-weight: 600;
  margin: 24px 0 13px 0;
}
.teacher-info-popup__main-info .location {
  margin: 13px 0 11px 0;
}
.teacher-info-popup__main-info .age-sex {
  margin: 11px 0;
}
.teacher-info-popup__main-info .email {
  color: #68becb;
  margin: 11px 0;
}
.teacher-info-popup__main-info .phone {
  margin: 11px 0;
}
.teacher-info-popup__comment {
  font-size: 12px;
  margin: 10px 20px;
}
.teacher-info-popup__toggle-map {
  padding: 20px;
}
.teacher-info-popup__toggle-map a {
  text-decoration-style: dashed;
  color: #65a3be;
}
.teacher-info-popup .favorite-button-container {
  position: absolute;
  right: 20px;
}
.teacher-info-popup .favorite-button-container button {
  background-image: url("../images/yellow-star-button.png");
  background-size: 35px 35px;
  background-position: center;
  background-repeat: no-repeat;
  width: 40px;
  height: 40px;
  background-color: transparent;
  border: transparent;
  opacity: 0.5;
}
.teacher-info-popup .favorite-button-container button:hover {
  background-image: url("../images/yellow-star-button-pressed.png");
  opacity: 1;
}

@media (min-width: 925px) {
  header,
  main,
  footer {
    max-width: 1200px;
    margin: 0 auto;
  }
  .head {
    margin: 30px 100px 30px 100px;
  }
  .head input {
    width: 218px;
  }
  .head input:hover {
    width: 400px;
  }
  .navigation {
    margin: 0 100px 30px 100px;
  }
  .navigation li {
    padding: 18px 40px 18px 0;
  }
  .top-teachers {
    margin: 20px 100px 20px 100px;
  }
  .top-teachers__options__checkboxes div {
    border-width: 0 0 0 2px;
    border-color: #999;
    border-style: dotted;
  }
  .top-teachers .item-options {
    padding: 3px 10px 3px 10px;
  }
  .statistics {
    margin: 20px 100px 40px 100px;
  }
  .statistics__body td {
    padding: 0 20px;
  }
  .statistics__body th {
    padding: 0 33px;
    border-bottom: 1px solid #000;
  }
  .favorites__body__photos {
    overflow-x: hidden;
  }
  .info {
    margin: 20px 100px 20px 100px;
  }
  .top-line {
    width: 500px;
  }
}
@media (max-width: 925px) {
  header,
  main,
  footer {
    max-width: 925px;
    margin: 0 auto;
  }
  .head {
    margin: 30px 10px 30px 10px;
  }
  .head input {
    width: 218px;
  }
  .navigation {
    margin: 0 10px 30px 10px;
  }
  .navigation li {
    padding: 18px 20px 18px 0;
  }
  .top-teachers {
    margin: 20px 10px 20px 10px;
  }
  .top-teachers .item-options {
    padding: 3px 10px 3px 10px;
  }
  .statistics {
    margin: 20px 10px 20px 10px;
  }
  .statistics__body td {
    padding: 0 5px;
  }
  .statistics__body th {
    padding: 0 5px;
    border-bottom: 1px solid #000;
  }
  .favorites__body {
    margin: 20px 10px 20px 10px;
  }
  .favorites__body__photos {
    overflow: auto;
  }
  .favorites__body__menu-wrapper-left {
    display: none;
  }
  .favorites__body__menu-wrapper-right {
    display: none;
  }
  .info {
    margin: 20px 10px 20px 10px;
  }
  .top-line {
    width: 500px;
  }
}
@media (max-width: 524px) {
  .top-line {
    width: 90%;
  }
}
@media (max-width: 412px) {
  .top-teachers .item-options {
    padding: 3px 0;
  }
}/*# sourceMappingURL=stylesheet.css.map */